"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.JsonAdapter = void 0;
class JsonAdapter {
    adapter;
    humanReadable;
    constructor(adapter, humanReadable = false) {
        this.adapter = adapter;
        this.humanReadable = humanReadable;
    }
    async readAsync() {
        const data = await this.adapter.readAsync();
        if (data == null) {
            await this.writeAsync({});
            return {};
        }
        return JSON.parse(data);
    }
    writeAsync(data) {
        let stringify = '';
        if (this.humanReadable) {
            stringify = JSON.stringify(data, null, 4);
        }
        else {
            stringify = JSON.stringify(data);
        }
        return this.adapter.writeAsync(stringify);
    }
}
exports.JsonAdapter = JsonAdapter;
//# sourceMappingURL=JsonAdapter.js.map