"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AtomicFileAdapter = void 0;
const atomically_1 = require("atomically");
class AtomicFileAdapter {
    filename;
    fsync;
    constructor(filename, fsync) {
        this.filename = filename;
        this.fsync = fsync;
    }
    async readAsync() {
        try {
            return await (0, atomically_1.readFile)(this.filename, {
                encoding: 'utf-8'
            });
        }
        catch (e) {
            if (e.code === 'ENOENT') {
                return null;
            }
            throw e;
        }
    }
    writeAsync(data) {
        return (0, atomically_1.writeFile)(this.filename, data, {
            encoding: 'utf-8',
            fsync: this.fsync
        });
    }
}
exports.AtomicFileAdapter = AtomicFileAdapter;
//# sourceMappingURL=AtomicFileAdapter.js.map